 REM -- H2XKAR.BAT - 31.2 PGO/HONDA(EPC/OQX) INTFC - ...........2008AUG01VM
@ECHO Off
 REM -- COPYRIGHT (C) 1997-2008 H.W.PETER, WUPPERTAL .DE --
 REM -- COPYRIGHT (C) 1997-2008 PETER+GEISENDORF GMBH, SPROCKHOEVEL .DE --
 REM -- \\UFN=OK, 2008AUG01PE
 REM -- SYS=141/3X

 REM -- EPCSENSE=*=C:\PGIMPORT\Bestel*.dta
 REM -- EPCSENSE=!

 REM 6789.123456789.123456789.123456789.123456789.123456789.123456789.12345
 REM ----------------------------------------------------------------------

 IF "%1"=="OQX" GOTO OQX
 IF "%1"=="FT"  GOTO OQX

ECHO ----------------------------------------------------------
ECHO %0:
ECHO INVALID CONTEXT CALL
ECHO UNGUELTIGER AUFRUF
ECHO ----------------------------------------------------------
ECHO %0 %1 %2 %3 %4 %5 %6 %7 %8 %9
PAUSE
GOTO ENDUP

REM 
REM -- H2XKAR.BAT - OQX order queue transfer to KARCHER --

 REM 6789.123456789.123456789.123456789.123456789.123456789.123456789.12345
 REM ----------------------------------------------------------------------

:OQX
rem -- %0=H2XKAR %1=OQX/FT *%2=homedisk *%3=homepath --
rem -- %4=OQ*.KAR file id -- %5=HDLRNR not used 2002MAY03PE --

:OQX2
rem -- create valid directory entry for data export --
IF     EXIST C:\PGEXPORT\*.*      GOTO OQX20
IF     EXIST C:\PGEXPORT\NUL:     GOTO OQX20
IF     EXIST C:\PGEXPORT\NUL      GOTO OQX20
MD           C:\PGEXPORT
:OQX20
CLS

rem -- post file(s) to transfer --
:OQX4
IF     EXIST OQ*.KAR  GOTO OQX42
ECHO -------------------------------------------------
ECHO -- HINWEIS: 
ECHO -- Es stehen keine NEUEN Order-Bestaende zur
ECHO -- Uebertragung zur Verfuegung.
ECHO --
GOTO OQX46

:OQX42
IF     EXIST C:\PGEXPORT\Bestel*.dta DEL C:\PGEXPORT\Bestel*.dta
FOR %%A IN  (OQ*.KAR)     DO TYPE %%A >> C:\PGEXPORT\Bestellung.dta
DEL          OQ*.KAR
GOTO OQX46

:OQX46
DIR          C:\PGEXPORT\Bestel*.dta
ECHO -------------------------------------------------
ECHO %0 - ET-Order:
ECHO -- Die zu uebertragende Datei finden Sie
ECHO -- auf diesem Computer im Verzeichnis C:\PGEXPORT
ECHO -- unter dem Namen  Bestellung.dta (s.o.)
ECHO -- fuer den elektronischen Versand bereitgestellt
ECHO --                                      ...RETURN
ECHO -------------------------------------------------
PAUSE >NUL:

:OQX6
rem -- try to call link procedure --
IF     EXIST H2XKAR.HTM GOTO OQX60
GOTO OQX68
:OQX60
START        H2XKAR.HTM
GOTO OQX68
:OQX68
rem -- CD \
GOTO OQXEND

:OQXEND
GOTO ENDUP

REM 
REM -- H2XKAR.BAT - FINAL --

 REM 6789.123456789.123456789.123456789.123456789.123456789.123456789.12345
 REM ----------------------------------------------------------------------

:ENDUP
SET PGOEPCPI=

REM -- now return to PGO home drive and resume PGO mainline --
rem -- %2
rem -- CD \
rem -- CD %3
SET  PGOEPCPI=PGOBEG
IF "%PGONETID%"=="W10" SET PGOEPCPI=START /R /MAX PGOFFICE.PIF
IF "%PGONETID%"=="W16" SET PGOEPCPI=START /R /MAX PGOFFICE.PIF
IF "%PGONETID%"=="W95" SET PGOEPCPI=START /R /MAX PGOFFICE.PIF
IF "%PGOEPCEX%"=="END" SET PGOEPCPI=
%PGOEPCPI%
EXIT
